# Class GMCaseKeyListener

java.lang.Object
GMCaseKeyListener

All Implemented Interfaces:
  `KeyListener`, `EventListener`

public class GMCaseKeyListener extends Object implements KeyListener
GMCaseKeyListener est un KeyListener utilisé pour écouter les événements de touche dans GMCase.

## Constructor Summary

Constructors
Constructor
Description
`GMCaseKeyListener(GMCase gridMakerCase, GMGrid grille, int row, int col)`
Constructeur de GridMakerCaseListener.

## Method Summary

Modifier and Type
Method
Description
`void`
`keyPressed(KeyEvent e)`
Méthode appelée lorsqu'une touche est enfoncée.
`void`
`keyReleased(KeyEvent e)`
Méthode appelée lorsqu'une touche est relâchée.
`void`
`keyTyped(KeyEvent e)`
Méthode appelée lorsqu'une touche est tapée (enfoncée puis relâchée).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GMCaseKeyListener

public GMCaseKeyListener(GMCase gridMakerCase, GMGrid grille, int row, int col)
Constructeur de GridMakerCaseListener.

Parameters:
  `gridMakerCase` - La case à écouter.

## Method Details

### keyPressed

public void keyPressed(KeyEvent e)
Méthode appelée lorsqu'une touche est enfoncée. Si la touche est un chiffre, met à jour la valeur de la case avec ce chiffre.

Specified by:
  `keyPressed` in interface `KeyListener`
Parameters:
  `e` - L'événement KeyEvent généré lorsque la touche est enfoncée.

### keyReleased

public void keyReleased(KeyEvent e)
Méthode appelée lorsqu'une touche est relâchée. Aucun traitement n'est nécessaire dans ce cas.

Specified by:
  `keyReleased` in interface `KeyListener`
Parameters:
  `e` - L'événement KeyEvent généré lorsque la touche est relâchée.

### keyTyped

public void keyTyped(KeyEvent e)
Méthode appelée lorsqu'une touche est tapée (enfoncée puis relâchée). Aucun traitement n'est nécessaire dans ce cas.

Specified by:
  `keyTyped` in interface `KeyListener`
Parameters:
  `e` - L'événement KeyEvent généré lorsque la touche est tapée.